### Method

# Clutter Backend get_cogl_context

#### Declaration [src]

    CoglContext*
    clutter_backend_get_cogl_context (
      ClutterBackend* backend
    )

#### Description [src]

Retrieves the `CoglContext` associated with the given clutter `backend`. A `CoglContext` is required when using some of the experimental 2.0 Cogl API.

Since CoglContext is itself experimental API this API should be considered experimental too.

This API is not yet supported on OSX because OSX still uses the stub Cogl winsys and the Clutter backend doesn’t explicitly create a CoglContext.

#### Return value

Type: `CoglContext`

The `CoglContext` associated with `backend`.

The returned data is owned by the instance.